# This is supposed to be used with:
#     tooling/bin/find_codeowners tooling/config/CODEOWNERS.yml
# And paste the contents into .gitlab/CODEOWNERS

'[Authentication and Authorization]':
  '@gitlab-org/manage/authentication-and-authorization':
    allow:
      keywords:
        - 'password'
        - 'auth'
        - 'token'
      patterns:
        - '/{,ee/}app/**/*%{keyword}*{,/**/*}'
        - '/{,ee/}config/**/*%{keyword}*{,/**/*}'
        - '/{,ee/}lib/**/*%{keyword}*{,/**/*}'
    deny:
      keywords:
        - '*author.*'
        - '*author_*'
        - '*authored*'
        - '*authoring*'
        - '*.png'
        - '*.svg'
        - '*deploy_token{,s}{*,/**/*}'
        - '*runner{,s}_token*'
        - '*job_token{,_scope}{*,/**/*}'
        - '*autocomplete_tokens*'
        - 'dast_site_token*'
        - 'reset_prometheus_token*'
        - 'reset_registration_token*'
        - 'runners_registration_token{*,/**/*}'
        - 'terraform_registry_token*'
        - 'filtered_search{_bar,}/'
        - 'alert_management/'
        - 'analytics/'
        - 'bitbucket/'
        - 'clusters/'
        - 'clusters_list/'
        - 'dast/'
        - 'dast_profiles/'
        - 'dast_site_tokens/'
        - 'dast_site_validation/'
        - 'dependency_proxy/'
        - 'error_tracking/'
        - 'google_api/'
        - 'google_cloud/'
        - 'jira_connect/'
        - 'kubernetes/'
        - 'protected_environments/'
        - '/config/feature_flags/development/jira_connect_*'
        - '/config/metrics/'
        - '/app/controllers/groups/dependency_proxy_auth_controller.rb'
        - '/app/finders/ci/auth_job_finder.rb'
        - '/ee/config/metrics/'
        - '/lib/gitlab/conan_token.rb'
      patterns:
        - '%{keyword}'
